# Compiling sane-1.0.1

Thomas Mueller (tmm@bigfoot.de)
Fri, 29 Oct 1999 18:33:18 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Ricardo Ferreira: "Re: Mustek ScanExpress 6000SP"
- Previous message: Scott J. Kramer: "Re: Autoconf/configure"

Hi!

I tried to compile sane with egcs 2.91.66 but I get a error message I
don't understand:

gcc -c -O2 -m486 -fno-strength-reduce -Wall -DHAVE_CONFIG_H -I. -I.
-I../include -I../include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
-DBACKEND_NAME=canon -DLIBDIR=/usr/local/lib/sane -fPIC -DPIC canon.c
canon.c: In function `init_options':
canon.c:1631: virtual memory exhausted
make[1]: *** [canon.lo] Error 1
make[1]: Leaving directory `/usr/src/packages/BUILD/sane-1.0.1/backend'
make: *** [all-recursive] Error 1

When I got the error message I had about 70 MB free swap space left.

What's happening there and what can I do (I will not add more memory -
96 MB should be enough :) )?

Thanks!

    --
    mfg Thomas Mueller - http://tmueller.home.pages.de - ICQ #17471620

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

     Next message: Ricardo Ferreira: "Re: Mustek ScanExpress 6000SP"
     Previous message: Scott J. Kramer: "Re: Autoconf/configure"